<search-network>
    <div style="display: flex;align-items: center;">
        <input if={CURRENT_LANGUAGE==="en"} ref='q' onchange={ search } value='{ filters.q }' type='text' placeholder='Search by name, product, service...' style="flex: 3;margin-right: 20px;">
        <button if={CURRENT_LANGUAGE==="en"} class='button secondary' style="font-weight: 400; flex: 1; margin-bottom: 0px;" onclick={ toggle_view }>View on map</button>
        <input if={CURRENT_LANGUAGE==="fr"} ref='q' onchange={ search } value='{ filters.q }' type='text' placeholder='Recherche par nom, produit, service...' style="flex: 3;margin-right: 20px;">
        <button if={CURRENT_LANGUAGE==="fr"} class='button secondary' style="font-weight: 400; flex: 1; margin-bottom: 0px;" onclick={ toggle_view }>Voir sur la carte</button>
    </div>

    <p class="filter-by" if={CURRENT_LANGUAGE=="en"}>Filter results by</p>
    <p class="filter-by" if={CURRENT_LANGUAGE=="fr"}>Filtrer les résultats par</p>

    <div style="display: flex">
        <select class="riot-select" ref='interested_in' onchange={ search }>
            <option value='' if={CURRENT_LANGUAGE==="en"}>Looking For</option>
            <option value='' if={CURRENT_LANGUAGE==="fr"}>À la recherche de</option>
            <option value='{ item }' each='{ item, i in enums.RELATIONSHIP_KIND_OPTIONS }' selected={filters.interested_in == item}>{ french_conversion(item) }</option>
        </select>

        <select class="riot-select" ref='language' onchange={ search }>
            <option value='' if={CURRENT_LANGUAGE==="en"}>Preferred Language</option>
            <option value='' if={CURRENT_LANGUAGE==="fr"}>langue préférée</option>
            <option value='{ item }' each='{ item, i in enums.LANGUAGE_OPTIONS }' selected={filters.language == item}>{ item }</option>
        </select>

        <select if={CURRENT_LANGUAGE==="en"} class="riot-select" ref='province' onchange={ search } style="text-align: center !important;">
            <option value=''>Choose Province</option>
            <option value='AB-Alberta'>Alberta</option>
            <option value='BC-British Columbia'>British Columbia</option>
            <option value='MB-Manitoba'>Manitoba</option>
            <option value='NB-New Brunswick'>New Brunswick</option>
            <option value='NL-Newfoundland and Labrador'>Newfoundland and Labrador</option>
            <option value='NS-Nova Scotia'>Nova Scotia</option>
            <option value='NT-Northwest Territories'>Northwest Territories</option>
            <option value='NU-Nunavut'>Nunavut</option>
            <option value='On-Ontario'>Ontario</option>
            <option value='PE-Prince Edward Island'>Prince Edward Island</option>
            <option value='QC-Quebec'>Quebec</option>
            <option value='SK-Saskatchewan'>Saskatchewan</option>
            <option value='YT-Yukon'>Yukon</option>
        </select>

        <select if={CURRENT_LANGUAGE==="fr"} class="riot-select" ref='province' onchange={ search } style="text-align: center !important;">
            <option value=''>Choisissez une province</option>
            <option value='AB-Alberta'>Alberta</option>
            <option value='BC-British Columbia'>Colombie britannique</option>
            <option value='MB-Manitoba'>Manitoba</option>
            <option value='NB-New Brunswick'>NNouveau-Brunswick</option>
            <option value='NL-Newfoundland and Labrador'>Terre-Neuve-et-Labrador</option>
            <option value='NS-Nova Scotia'>Nouvelle-Écosse</option>
            <option value='NT-Northwest Territories'>Territoires du nord-ouest</option>
            <option value='NU-Nunavut'>Nunavut</option>
            <option value='On-Ontario'>Ontario</option>
            <option value='PE-Prince Edward Island'>Île-du-Prince-Édouard</option>
            <option value='QC-Quebec'>Québec</option>
            <option value='SK-Saskatchewan'>Saskatchewan</option>
            <option value='YT-Yukon'>Yukon</option>
        </select>

        <select class="riot-select" ref='order' onchange={ search } if={CURRENT_LANGUAGE==="en"}>
            <option value=''>Order by: (default)</option>
            <option value='name' selected={filters.order}>Alphabetical</option>
            <option value='point' selected={filters.order}>Distance</option>
        </select>

        <select class="riot-select" ref='order' onchange={ search } if={CURRENT_LANGUAGE==="fr"}>
            <option value=''>Trier par: (par défaut)</option>
            <option value='name' selected={filters.order}>Alphabétique</option>
            <option value='point' selected={filters.order}>Distance</option>
        </select>

    </div>

var controller = this;

results_manager.on('search', function(filters){
    controller.update({filters: filters});
});

var french_text = {
    "Mentor":"Mentor",
    "Mentee":"Mentoré",
    "Survey Participant":"Participant au sondage",
    "Partner":"Partenaire",
    "Coffee": "Café"
}

french_conversion(text){
    if (CURRENT_LANGUAGE==="fr"){
        if (text in french_text){
            return french_text[text];
        }
        else{return text;}
    }
    else{return text;}
}

toggle_view(e) {
    var map_el = document.querySelector('.mapcontainer-full')

    if(e.target.innerText == 'Hide map'){
        e.target.innerText = 'View on map';
        map_el.style.display = 'none';

        <!--  below is from changing tab function  -->
        controller.update({tab: 'list'});
        results_manager.trigger("update_tab", 'list');
        if(typeof opts.on_tab_select === "function"){
            opts.on_tab_select('list');
        }

    } else {
        e.target.innerText = 'Hide map';
        map_el.style.display = 'block';

        controller.update({tab: 'map'});
        results_manager.trigger("update_tab", 'map');
        if(typeof opts.on_tab_select === "function"){
            opts.on_tab_select('map');
        }
    }
}

search(){
    var query = {};
    for (var k in controller.refs) {
        query[k] = controller.refs[k].value;
    }
    results_manager.trigger('search', query)
}
results_manager.trigger('search', qs2json(window.location.hash));

</search-network>
